PropertyBinding (Groovy 5.0.6)

Package: org.apache.groovy.swing.binding

## [Java] Class PropertyBinding

- org.apache.groovy.swing.binding.PropertyBinding

- All Implemented Interfaces and Traits:
    SourceBinding, TargetBinding, TriggerBinding

      public class PropertyBinding
      extends Object
      implements SourceBinding, TargetBinding, TriggerBinding

  Since:
    Groovy 1.1

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `enum` | `PropertyBinding.UpdateStrategy` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyBinding(Object bean, String propertyName)`
    `PropertyBinding(Object bean, String propertyName, String updateStrategy)`
    `PropertyBinding(Object bean, String propertyName, PropertyBinding.UpdateStrategy updateStrategy)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public Object` | `getBean()`
    `` | `public String` | `getPropertyName()`
    `` | `public Object` | `getSourceValue()`
    `` | `public PropertyBinding.UpdateStrategy` | `getUpdateStrategy()`
    `` | `public boolean` | `hasMoreElements()`
    `` | `public boolean` | `isNonChangeCheck()`
    `` | `public URL` | `nextElement()`
    `` | `public void` | `run()`
    `` | `public void` | `setBean(Object bean)`
    `` | `public void` | `setNonChangeCheck(boolean nonChangeCheck)`
    `` | `public void` | `setPropertyName(String propertyName)`
    `` | `public void` | `updateTargetValue(Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyBinding(Object bean, String propertyName)

    - #### public PropertyBinding(Object bean, String propertyName, String updateStrategy)

    - #### public PropertyBinding(Object bean, String propertyName, PropertyBinding.UpdateStrategy updateStrategy)

  - ### Method Detail

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### public Object getBean()

    - #### public String getPropertyName()

    - #### @Override
      public Object getSourceValue()

    - #### public PropertyBinding.UpdateStrategy getUpdateStrategy()

    - #### @Override
      public boolean hasMoreElements()

    - #### public boolean isNonChangeCheck()

    - #### @Override
      public URL nextElement()

    - #### @Override
      public void run()

    - #### public void setBean(Object bean)

    - #### public void setNonChangeCheck(boolean nonChangeCheck)

    - #### public void setPropertyName(String propertyName)

    - #### @Override
      public void updateTargetValue(Object newValue)